# Class CIM_RedirectionService
extends CIM_Service

RedirectionService provides the capability to manage redirection services. Examples of this include any video stream directed to a Network Port (by the operating system) on a Computer System redirected out to a remote administrator's console. Similarly this can include input redirected into the same Network Port. Other examples include the redirection of IO from a logical element to a remote or local destination. Each redirection stream is accessible via a SAP. This service can support multiple redirection types via multiple associated SAPs.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_RedirectionService

## Direct Known Subclasses

CIM_TextRedirectionService
CIM_USBRedirectionService

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

RedirectionService provides the capability to manage redirection services. Examples of this include any video stream directed to a Network Port (by the operating system) on a Computer System redirected out to a remote administrator's console. Similarly this can include input redirected into the same Network Port. Other examples include the redirection of IO from a logical element to a remote or local destination. Each redirection stream is accessible via a SAP. This service can support multiple redirection types via multiple associated SAPs.

UMLPackagePath | string | CIM::Network::ConsoleProtocols
Version | string | 2.17.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MaxCurrentEnabledSAPs | uint16 |

Description

string

Maximum number of concurrently enabled redirection SAPs. The Service may have multiple (more than this number) SAPs associated with it. However, the number of Active SAPs (EnabledState=Enabled) associated with this Service instance cannot exceed this number. This limitation could come from hardware limitations (e.g. one COM port can only redirect the text to one console), or from any other software resource limitations.

OtherRedirectionServiceType | string |
Description | string | A string describing the Redirection Service when the value of the RedirectionServiceType property is set to 1 = "Other".
ModelCorrespondence | string | CIM_RedirectionService.RedirectionServiceType
SharingMode | uint16 |

Description

string

An enumeration specifying the impact of enabling the redirection of the text console flow on the original destination of the flow. The original destination is modeled as a concrete subclass of LogicalDevice and associated to this service using a ServiceAffectsElement association). If this value is Exclusive, it shall mean that when the element flow is actively being redirected, then the element being redirected cannot be accessed at the original destination. If this value is Shared, it shall mean that when the element flow is actively being redirected, then the element being redirected can still be accessed at the original destination.

ValueMap | string | 0, 2, 3
Values | string | Unknown, Exclusive, Shared
RedirectionServiceType | uint16[] |

Description

string

An enumerated array indicating the type(s) of Redirection supported by this Service. This value is set to the type of redirection service that this service represents. A value set to 2 = "Text" shall indicate a Text Console Redirection service. A value set to 3 = "KVM" shall indicate a Keyboard, Mouse and Video Console Redirection service. A value set to 4 = "USB" shall indicate a USB Redirection service. A value set to 5 = "media" shall indicate a traditional Media Redirection service.

ModelCorrespondence | string | CIM_RedirectionService.OtherRedirectionServiceType
ValueMap | string | 0, 1, 2, 3, 4, 5, 6..32767, 32768..65535
Values | string | Unknown, Other, Text, KVM, USB, Media, DMTF Reserved, Vendor Specified

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service